Skip to main content
GET
/
trades
/
pairs
/
{sourceCode}
/
{targetCode}
Get Single Trade Pair
curl --request GET \
  --url https://api.obiex.finance/v1/trades/pairs/{sourceCode}/{targetCode}
{
  "message": "Ok",
  "data": {
    "id": "3bd8ace6-dc63-49a8-b91a-46131dfdf0f2",
    "createdAt": "2021-11-22T10:16:51.874Z",
    "updatedAt": "2021-11-23T15:15:58.402Z",
    "active": true,
    "sourceId": "55456608-8c9f-499d-99b4-15ceafef3212",
    "targetId": "de3423cb-e81c-464f-8bb4-d9da15a37e8b",
    "isSellable": true,
    "isBuyable": true,
    "isLeverage": false,
    "enableP2PTrading": true,
    "source": {
      "id": "55456608-8c9f-499d-99b4-15ceafef3212",
      "createdAt": "2021-11-22T10:16:50.727Z",
      "updatedAt": "2024-03-03T08:16:24.743Z",
      "active": true,
      "name": "Tether",
      "code": "USDT",
      "exchangeCode": null,
      "leverageBaseCurrencyCode": null,
      "leverageMultipler": null,
      "receivable": true,
      "withdrawable": true,
      "transferrable": true,
      "minimumWithdrawal": 5,
      "minimumDeposit": 3,
      "maximumDecimalPlaces": 4,
      "withdrawalFee": 0,
      "receiveFee": 0,
      "type": "STABLE",
      "leverageType": null,
      "receiveFeeType": "PERCENTAGE",
      "withdrawalFeeType": "PERCENTAGE",
      "maximumWithdrawalFee": 0,
      "allowUtilityPayments": true,
      "allowUnconfirmedTrading": true,
      "allowVirtualCardTransactions": true,
      "enableWithdrawalApproval": false
    },
    "target": {
      "id": "de3423cb-e81c-464f-8bb4-d9da15a37e8b",
      "createdAt": "2021-11-22T10:16:50.862Z",
      "updatedAt": "2024-10-26T13:40:22.599Z",
      "active": true,
      "name": "Naira",
      "code": "NGNX",
      "exchangeCode": null,
      "leverageBaseCurrencyCode": null,
      "leverageMultipler": null,
      "receivable": true,
      "withdrawable": true,
      "transferrable": true,
      "minimumWithdrawal": 0,
      "minimumDeposit": 0,
      "maximumDecimalPlaces": 2,
      "withdrawalFee": 50,
      "receiveFee": 100,
      "type": "FIAT",
      "leverageType": null,
      "receiveFeeType": "FLAT",
      "withdrawalFeeType": "FLAT",
      "maximumWithdrawalFee": 0,
      "allowUtilityPayments": true,
      "allowUnconfirmedTrading": true,
      "allowVirtualCardTransactions": false,
      "enableWithdrawalApproval": false
    }
  }
}

Path Parameters

sourceCode
string
required
targetCode
string
required

Response

default - application/json

Get Single Trade Pair

message
string
data
object